###################################################
### chunk number 1: 
###################################################
library(HardyWeinberg)


###################################################
### chunk number 2: 
###################################################
x <- c(298,489,213)
HW.test <- HWChisq(x,verbose=TRUE)


###################################################
### chunk number 3: 
###################################################
HW.test <- HWChisq(x)
print(HW.test)


###################################################
### chunk number 4: 
###################################################
HW.test <- HWChisq(x,cc=0.5,verbose=TRUE)


###################################################
### chunk number 5: 
###################################################
HW.lrtest <- HWLratio(x,verbose=TRUE)


###################################################
### chunk number 6: 
###################################################
m <- matrix(c(x[1],x[2]/2,x[2]/2,x[3]),ncol=2)
colnames(m) <- c("M","N")
rownames(m) <- c("M","N")
print(m)
fisher.test(m,alternative="two.sided")


###################################################
### chunk number 7: 
###################################################
set.seed(123)

m <- 100 # number of markers
n <- 100 # sample size
Xc <- HWData(n,m)$Xc


###################################################
### chunk number 8: 
###################################################
plot.new()
opar <- par(mfrow=c(2,2),mar=c(3,5,3,1)+0.1,mex=0.75,oma=c(2,0,2,0),new=TRUE)
par(mfg=c(1,1))
Res <- HWTernaryPlot(Xc,100,region=0,hwcurve=FALSE,vbounds=FALSE,vertex.cex=1.25,main="(a)")
par(mfg=c(1,2))
Res <- HWTernaryPlot(Xc,100,region=1,vertex.cex=1.25,signifcolour=TRUE,main="(b)")
par(mfg=c(2,1))
Res <- HWTernaryPlot(Xc,100,region=2,vertex.cex=1.25,signifcolour=TRUE,main="(c)")
par(mfg=c(2,2))
Res <- HWTernaryPlot(Xc,100,region=7,vertex.cex=1.25,signifcolour=TRUE,main="(d)")
par(opar)


